package blatt01;

import java.io.File;
import java.util.HashMap;

/**
 *
 * @author Nils.Hoffmann@CeBiTec.Uni-Bielefeld.DE
 */
public class Main {
     public static void main(String[] args) {
        if(args.length>0) {
                //Create a new FASTAParser of type AminoacidAlphabet
                FASTAReader fp = new FASTAReader();
                for(String s:args) {
                    HashMap<String,String> sequences = fp.read(new File(s));
                    for(String seqID:sequences.keySet()) {
                        System.out.println("> "+seqID);
                        System.out.println(sequences.get(seqID));
                    }
                }
        } else {
                System.out.println("Usage: java "+FASTAReader.class.getName()+" sequenceData1.fasta [sequenceData2.fasta [...]]");
                System.exit(-1);
        }
    }
}
